> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voicenumbers



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/numbers
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/numbers:
    get:
      tags:
        - Number
      operationId: number.index
      responses:
        '200':
          description: |-
            if ($request->user()->isAdmin()) {
            return NumberResource::collection(
            Number::orderBy('created_at', 'desc')->get()
            );
            }



            Array of `NumberResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/NumberResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    NumberResource:
      type: object
      properties:
        id:
          type: string
        number:
          type: integer
        voice_account_id:
          type: string
        inbound_agent_id:
          type:
            - string
            - 'null'
        sip_config:
          type: string
        disallowed_countries:
          type: string
        team_id:
          type: string
        voice_provider:
          type: string
        voice_provider_id:
          type:
            - string
            - 'null'
        last_used_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - number
        - voice_account_id
        - inbound_agent_id
        - sip_config
        - disallowed_countries
        - team_id
        - voice_provider
        - voice_provider_id
        - last_used_at
        - created_at
        - updated_at
      title: NumberResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````